File: changelog

package info (click to toggle)
yubikey-manager 3.1.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 888 kB
  • sloc: python: 9,918; makefile: 19; sh: 18
file content (112 lines) | stat: -rw-r--r-- 3,776 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
yubikey-manager (3.1.1-1) unstable; urgency=medium

  * New upstream release (2020-01-29)
    + Add support for YubiKey 5C NFC

  * Declare compliance with policy v4.5.0.
    No change required.

  * debian/control: Build-Depends on libpcsclite1.
    This is a terrible hack, just so that `ykman` doesn't output errors
    when run under help2man, which then ends up in the manpage,

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 31 Jan 2020 03:48:14 +0100

yubikey-manager (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
    + Add support for Yubikey 5Ci
    + PIV: Self-signed certificates now use UTC time
    + OTP: Support Norman keyboard layout

  * Update upstream's signing keys
  * Add missing build dependency on libykpers-1-dev

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 28 Aug 2019 14:42:07 +0200

yubikey-manager (3.0.0-3) unstable; urgency=low

  [ Alex Chernyakhovsky ]
  * debian/rules: Specify the C.UTF-8 locale under help2man (Closes: #926816)

  [ Nicolas Braud-Santoni ]
  * debian/gbp.conf: Moved the packaging branch to debian/sid.
    This is consistent with DEP14, and allows us to have backport branches.
  * debian/changelog: Fix typo in entry v3.0.0-2

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Tue, 13 Aug 2019 02:08:51 +0200

yubikey-manager (3.0.0-2) unstable; urgency=medium

  * Add versioned dependency on python3-fido2.
    Mixing ykman 3.0.0 and python3-fido2 0.5.0 results in ImportError.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 20 Jul 2019 14:30:11 +0200

yubikey-manager (3.0.0-1) unstable; urgency=low

  * New upstream version 3.0.0 (2019-06-24)

  * debian/upstream: Update keyring
  * debian/rules: Ship upstream's changelog
  * debian/control: Declare compliance with policy v4.4.0.
    No change required

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 20 Jul 2019 14:01:52 +0200

yubikey-manager (2.1.0-1) unstable; urgency=medium

  * New upstream release (2019-03-11)
    + PIV: Verify that the PIN must be between 6 - 8 characters long
    + PIV: Malformed certificates are now handled better
    + OpenPGP: The openpgp touch command now shows current touch policies
    + Bugfix: Fix support for german (DE) keyboard layout for static passwords
      Closes: #925212

  * debian/control: Add Afif Elghraoui as uploader

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 21 Mar 2019 12:30:40 +0100

yubikey-manager (2.0.0-2) unstable; urgency=low

  [ Nicolas Braud-Santoni ]
  * Autogenerate a manpage with help2man.
    This is what upstream did, though doing it in the package build avoids
    having it go out-of-sync with the actual binary. (Closes: #912029)

  * Switch to debhelper 12.
    Compatibility level is now controlled through a Build-Depends

  [ Afif Elghraoui ]
  * d/control: add VCS URLs

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 09 Mar 2019 16:41:28 +0100

yubikey-manager (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0 (2019-01-09)
    + Add support for Yubikey 5 series (Closes: #911921)
    + Breaking API changes
    + Patch upstream changelog
      - Version 2.0.0 marked as unreleased
      - Mentioned a manpage that the official (signed) release tarball
        accidentally didn't include

  * Ship precompiled Python files
  * debian/rules
    + Do not skip tests
    + Make dh_missing fail the build

  * debian/control
    + Update uploader's email address  \o/
    + Declare compliance with v4.3.0.
      No change needed

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 07 Feb 2019 22:30:34 +0100

yubikey-manager (0.7.1-1) unstable; urgency=low

  * Initial package (upstream release 2018-07-09)
    Closes: #900939

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 03 Aug 2018 00:12:42 +0800